## RiskyMod
A full-game overhaul that aims to bring it closer to RoR1's balance. My main priority is multiplayer, but the mod is balanced in solo as well.

I highly recommed installing https://thunderstore.io/package/Moffein/EliteReworks/ to go with this.

Full change list can be found at https://docs.google.com/document/d/1Igxdur0M33fdkcDLYgDEbLE0M4-89gSTorxgdn-oyKs/

This mod merges in fixes and tweaks from a bunch of other mods. If you have those mods installed, these fixes/changes will disable and the original mod will take priority.

Feel free to take features of this mod and release them as standalone as long as you link the original GitHub repo in the README.

**Contact me if you're interested in translating the mod!**

## Main Features

- Oneshot Protection now actually works.
	- Oneshot = Going from >90% HP to 0% HP in under 0.5s
	- Once triggered, you have to be out of danger (no damage for 7s) before it can be retriggered.
- Shields gate against HP damage like the Guardian's Heart in RoR1.
- Big balance pass over nearly all the items.
	- Bad items like Squid Polyps and Warbanners have gotten substantial buffs.
	- Strong damage items like AtGs and Elemental Bands now have lowered damage stacking.
	- Most forms of range scaling have been removed, and most items aren't able to proc chain anymore.
- Big balance pass over all the Survivors
	- Less useless skill options, default Commando is good now!
- Drone performance now remains the same on all stages.

## Other Changes

- Combat Shrines give less money, but drop items for the team on completion.
- Teleporter radius expands once the boss is dead.
- Tweaked Commencement
	- Only 2 pillars are required to activate the jump pads.
	- Pillars drop items for the team on completion, and you can complete as many as you want.

## Installation
Place RiskyMod.dll **AND** the **language folder** in /Risk of Rain 2/BepInEx/plugins/RiskyMod

## Planned Changes (Not implemented yet)

*Mostly done with everything I've wanted to do with the mod. Plan going forward is to iron out the existing balance and do a bit of spawn pool tweaking. I don't like the state that Pennies/Elixir/Void Glasses are in, and Corpsebloom/Desk Plant are still bad, but they probably won't get changed. I personally just blacklist them when playing.*

- Make Google Doc more readable/pretty.
	- Split up into multiple separate docs?
- Tweak enemy pools
	
## Credits

Drone Targeting fix - ZetTweaks

Squid Polyp distraction - DestroyedClone

Language Support - Anreol

Skill Icons - KoobyKarasu

Acrid Hitbox Tweaks - TheTimesweeper

Buff Icons - SOM, VALE-X

## Changelog

`0.12.2`

- Fixed Visions of Heresy reload time not increasing with stacks.

`0.12.1`

- Mod compatibility stuff.

`0.12.0`

*Looking for translators! Contact me if interested.*

- Items
	- Delicate Watch
		- Added buff icon. (Thanks Vale-X!)
		
	- Happiest Mask
		- Added buff icon. (Thanks Vale-X!)
		- Fixed a bug that let the item spawn multiple ghosts when killing multiple enemies in the same frame.
		
	- Ben's Raincoat
		- Increased barrier gain from 10% -> 25%
		- Debuff immunity lasts for 0.5s after a stack is triggered.
			- Increased cooldown by 0.5s to account for this.
		
		*Increased barrier gain because 10% is something that can already be easily achieved by simply grabbing a few Topaz Brooches. Debuff immunity has been extended to protect against multihit/rapidfire attacks. Not sure where the item stands after these changes.*
		
	- Visions of Heresy
		- Reload is now affected by attack speed.
		
		*This should make the item much more usable on most characters, so that you can actually live out the Needler fantasy. Technically buffs the Visions on melee strat, but I view that as more of a question of desired playstyle rather than a question of power.*
		
- Captain
	- Beacon: Hacking
		- Increased price reduction from -40% -> -50%
			- Now rounds final price upwards instead of downwards.
		- Fixed being able to reset the price of Shrines of Chance.
			- Old Behavior: Save the original price, and restore it when beacon is moved.
			- New Behavior: When beacon is moved, divide current price by the cost reduction factor to get the original price.
				- This may cause the final price to be off slightly, but this should be irrelevant past the first few stages.